Package opennlp.tools.formats.ad

## Class ADSentenceSampleStream

- java.lang.Object
- - opennlp.tools.formats.ad.ADSentenceSampleStream

- All Implemented Interfaces:
    `AutoCloseable`, `ObjectStream<SentenceSample>`

      public class ADSentenceSampleStream
      extends Object
      implements ObjectStream<SentenceSample>

  Note: Do not use this class, internal use only!

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ADSentenceSampleStream​(InputStreamFactory in, String charsetName, boolean includeHeadlines)` | Creates a new `SentenceSample` stream from a `FileInputStream`
    `ADSentenceSampleStream​(ObjectStream<String> lineStream, boolean includeHeadlines)` | Creates a new `SentenceSample` stream from a line stream, i.e.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the `ObjectStream` and releases all allocated resources.
    `SentenceSample` | `read()` | Returns the next object.
    `void` | `reset()` | Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ADSentenceSampleStream

          public ADSentenceSampleStream​(ObjectStream<String> lineStream,
                                        boolean includeHeadlines)

      Creates a new `SentenceSample` stream from a line stream, i.e. `ObjectStream`<`String`>, that could be a `PlainTextByLineStream` object.
      Parameters:
        `lineStream` - a stream of lines as `String`
        `includeHeadlines` - if true will output the sentences marked as news headlines

    - #### ADSentenceSampleStream

          public ADSentenceSampleStream​(InputStreamFactory in,
                                        String charsetName,
                                        boolean includeHeadlines)
                                 throws IOException

      Creates a new `SentenceSample` stream from a `FileInputStream`
      Parameters:
        `in` - input stream from the corpus
        `charsetName` - the charset to use while reading the corpus
        `includeHeadlines` - if true will output the sentences marked as news headlines
      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public SentenceSample read()
                              throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<SentenceSample>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<SentenceSample>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<SentenceSample>`
      Throws:
        `IOException` - if there is an error during closing the stream